<template>
  <div id="app">
    <div>
      <nav class="navbar navbar-expand-sm bg-dark navbar-dark fixed-top">
        <img src="../public/logo.png" class="logoNavbar" />
        <ul class="navbar-nav">
          <a class="navbar-brand">Filmotec</a>
          <!-- Router link sert a rediriger vers une route défini avec router.js -->
          <router-link class="nav-link" to="/">Accueil</router-link>
          <!-- Passage d'un parametre 1 a la route -->
          <router-link class="nav-link" to="/films/1">Films</router-link>
          <router-link class="nav-link" to="/recherche/">Recherche</router-link>
        </ul>
      </nav>
    </div>
    <router-view />
  </div>
</template>

<script>
export default {
  name: "app"
};
</script>

<style lang="scss" >
@import "./assets/custom.scss";
@import "../node_modules/bootstrap/scss/bootstrap.scss";
</style>
